# Get a refund

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/refunds/{refund_id}`

Retrieve details of a specific refund. You can expand additional related objects using the expand parameter.

Available expand options:
* account
* created_session
* parts
* source_transaction
* updated_session

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `refund_id` | path | string | yes | The refund's ID (`ref_...`). |
| `expand` | query | string | no | Related objects to include in the response |

## Responses

### 200: Refund details

```json
{
  "refund": {
    "id": "ref_11842_11073",
    "payment": "pay_11842_11072",
    "amount": "10",
    "created": "2020-11-27T15:17:15.000Z",
    "processed": "2020-11-27T15:17:18.000Z",
    "reason": "Customer requested cancellation",
    "reference": "BOLT-00011073",
    "source_transaction": "tr_11842_11072",
    "status": "SUCCESS",
    "gateway_status": "APPROVED",
    "gateway_message": "string",
    "manual": false,
    "currency": "USD",
    "account": "string",
    "parts": [
      {}
    ],
    "offline": false,
    "updated": "2026-01-01T12:00:00Z",
    "v": 0
  }
}
```

### 400: Bad request - invalid parameters

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Refund not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/refunds/REFUND_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/merchants/reference/operations/getrefund/